Subject: Re: igc: Network failure, reboot required: igc: Failed to read reg 0xc030!

From: Jakub Kicinski <[email-masked]>
Date: Thu, 12 Sep 2024 17:46:06 -0700

On Thu, 12 Sep 2024 21:45:17 +0200 Jesper Juhl wrote:
> > Would you be able to decode the stack trace? It may be helpful
> > to figure out which line of code this is:
> >
> >  igc_update_stats+0x8a/0x6d0 [igc
> > 22e0a697bfd5a86bd5c20d279bfffd
> > 131de6bb32]  
> 
> Of course. Just tell me what to do.

TBH I don't work much with distro kernels so I don't know.
There is a script for decoding stack traces in the tree:
  ./scripts/decode_stacktrace.sh
but it needs vmlinux (uncompressed) with full(ish) debug info.
I think that distros split the debug symbols out?